package com.example.gesmec;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.util.List;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONException;
import org.json.JSONObject;
import android.util.Log;

/*
 * Clase que realiza la conexion con la ruta del servidor
 */

	public class JSONManager {
		  
			public static JSONObject getJSONfromURL(String url){
		     InputStream is = null;
		     String result = "";
		     JSONObject json = null;
		     Log.i("jsonmanager", "informacion:   "+url);					  		
		      try{
		         HttpClient httpclient = new DefaultHttpClient();
		         HttpPost httppost = new HttpPost(url);
		         HttpResponse response = httpclient.execute(httppost);
		         HttpEntity entity = response.getEntity();
		         is = entity.getContent();
		     }catch(Exception e){ }

		      try{
		         BufferedReader reader = new BufferedReader(new InputStreamReader(is,"iso-8859-1"),8);
		         StringBuilder sb = new StringBuilder();
		         String line = null;
		         while ((line = reader.readLine()) != null) {
		             sb.append(line + "\n");
		         }
		         is.close();
		         result=sb.toString();
				         
		     } catch(Exception e){ }

		     try{
		         json = new JSONObject(result);
		     }catch(JSONException e){ }

		      return json;
		 }
		
		
		
		public static void setJSONFromUrl(String url, List<NameValuePair> params) {
			 InputStream is = null;
		     String result = "";
		     JSONObject json = null;
	        try {
	            DefaultHttpClient httpClient = new DefaultHttpClient();
	            HttpPost httpPost = new HttpPost(url);
	            httpPost.setEntity(new UrlEncodedFormEntity(params));
	 
	            HttpResponse httpResponse = httpClient.execute(httpPost);
	            HttpEntity httpEntity = httpResponse.getEntity();
	            is = httpEntity.getContent();
	  	    
	        } catch (UnsupportedEncodingException e) {
		          e.printStackTrace();
	        } catch (ClientProtocolException e) {
	    	            e.printStackTrace();
	        } catch (IOException e) {
	    	            e.printStackTrace();
	        }
			 }
		 
		
		
		}