package com.example.gesmec;


import java.util.Vector;
import org.json.JSONException;

import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.app.Activity;
import android.widget.Button;
import android.content.Context;
import android.content.Intent;

/*
 * Da de alta un nuevo usuario en el sistema
 */

public class Nuevo extends Activity {
	String nombreE = "nombreenvio";
	Spinner spinner_servmedicos; 
	boolean conexion;
	TextView informacion;
	Vector<OServicio> Vobjetoservicio = new Vector<OServicio>();
	JSONParser json = new JSONParser(this);
	JSONParser json2 = new JSONParser(this);
	
	/*
	 * Se prevee la generacion de un algoritmo que relacione el numero de serie con una contrasea
	*/	
	private String generar_contrasena(String v_tarjeta) {
		String salida=v_tarjeta.substring(1, 4);
		
		return salida;
		
	}
			
	/*
	 * pendiente, el envio de correo al cliente, en funcion a la existencia de un cliente de correo 
	 */
	public void gestion_correo(View view, String v_direccion, String v_pass) {
		String subject= "Correo logeo aplicacion GESMEC";
		String etBody= "Te recordamos que tu password es: "+v_pass;		
		Intent itSend = new Intent(android.content.Intent.ACTION_SEND);
    	itSend.setType("plain/text");
    	itSend.putExtra(android.content.Intent.EXTRA_EMAIL, v_direccion);
    	itSend.putExtra(android.content.Intent.EXTRA_SUBJECT, subject);
    	itSend.putExtra(android.content.Intent.EXTRA_TEXT, etBody);
       	startActivity(Intent.createChooser(itSend, "Seleccionar el cliente de correo"));
    	
		}
	public boolean isOnline() {
		// Comprueba si tiene servicio de conexion 
		 ConnectivityManager cm = 
		         (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
		    NetworkInfo netInfo = cm.getActiveNetworkInfo();
		    if (netInfo != null && netInfo.isConnected()) {
		        return true;
		    }
		    return false;
		
	}
	
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.nuevo);
		
		
		ArrayAdapter<String> spinner_adapter; 
		spinner_servmedicos = (Spinner) findViewById(R.id.nuevo_SP_sermedico);
		spinner_adapter = new ArrayAdapter <String>(this, android.R.layout.simple_spinner_item);
		spinner_adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		spinner_servmedicos.setAdapter(spinner_adapter);
		
		
		informacion = (TextView) findViewById(R.id.nuevo_T_informacion);
		conexion = isOnline();
		if (conexion == true)
    	{
   	 		//mostramos informacion
   	 		informacion.setText("CONEXION DE DATOS - CORRECTA");

		try {
			Vobjetoservicio=json.readAndParseJSONgetServiciosMedicosServer();
		} catch (JSONException e) {
			Log.e("nuevo", "error  "+e.toString());					  		
			e.printStackTrace();
		}
		
	
		if (Vobjetoservicio != null)
		{
			for( int i=0; i<Vobjetoservicio.size() ; i ++ ){ 
	        			OServicio servicior = Vobjetoservicio.elementAt(i); 
	        			spinner_adapter.add(servicior.getnombre());
	        			}
			
		
		}
		else
		{
				Toast toast2 = Toast.makeText(getApplicationContext(), "ERROR EN SERVICIO MEDICO \n Tabla vacia o inexistente", Toast.LENGTH_LONG);
				toast2.show();
				Log.e("nuevo", "error en servicio de medico la tabla esta vacia o no esta creada ");					  						
				finish();
				Intent myIntent = new Intent(Nuevo.this, Principal.class);
		        startActivityForResult(myIntent, 0);
	 	}
 		
    	}
   	 	else
   	 	{
   	 		informacion.setText("CONEXION DE DATOS - INCORRECTA");

   	 	}
			
	Button alta = (Button) findViewById(R.id.nuevo_B_alta);
    alta.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	String pass="";
        	String selec="";
        	OUsuario ousuario = new OUsuario();
 			
        	EditText etcorreo = (EditText) findViewById(R.id.nuevo_ET_correo);
        	EditText etdireccion = (EditText) findViewById(R.id.nuevo_ET_direccion);
        	EditText etnumerotarjeta = (EditText) findViewById(R.id.nuevo_ET_numerotarj);
        	EditText etlocalidad = (EditText) findViewById(R.id.nuevo_ET_localidad);
        	EditText etusuario = (EditText) findViewById(R.id.nuevo_ET_usuario);
        	
        	
        	selec=spinner_servmedicos.getSelectedItem().toString();
        	
        	if (etcorreo.getText().toString().isEmpty() &&  etdireccion.getText().toString().isEmpty() 
        			&&  etnumerotarjeta.getText().toString().isEmpty() &&  etlocalidad.getText().toString().isEmpty()
        			&&  etusuario.getText().toString().isEmpty())
       	 	{
       	 		Toast toast2 = Toast.makeText(getApplicationContext(), "RELLENE TODOS LOS CAMPOS", Toast.LENGTH_SHORT);
	 			toast2.show();
	 			Log.i("nuevo", "debe de rellenarse todos los campos  ");					  		
	 			
   	 		
       	 	}
       	 	else
       	 	{
        	
        	for( int i=0; i<Vobjetoservicio.size() ; i ++ ){ 
        			OServicio servicior = Vobjetoservicio.elementAt(i); 
        			boolean existe=false;
        			existe=selec.toString().equals(servicior.getnombre().toString());
        			if (existe == true) {ousuario.setid_servicio_medico(servicior.getid());}       			
        	} 
        	
        	TextView informacion = (TextView) findViewById(R.id.nuevo_T_informacion);      	
        	informacion.setText("'"+selec+"'");
        	if (etusuario.getText().toString().isEmpty() &&  etcorreo.getText().toString().isEmpty() )
        	{	
	        	Toast toast2 = Toast.makeText(getApplicationContext(), "Debes rellenar todos los campos ", Toast.LENGTH_SHORT);
	 			toast2.show();
	 			
        	}
        	else
        	{
        		pass=generar_contrasena(etnumerotarjeta.getText().toString());
        		Log.i("nuevo", "la password generada es ....  "+pass.toString());					  		
            	//gestion_correo(view,etcorreo.getText().toString(),pass);
	        	Toast toast2 = Toast.makeText(getApplicationContext(), "Tu password de acceso es: "+pass.toString()+"\n Ahora puedes acceder a la app", Toast.LENGTH_SHORT);
	 			toast2.show();
	 			ousuario.setdireccion(etdireccion.getText().toString());
	 			ousuario.setlocalidad(etlocalidad.getText().toString());
	 			ousuario.setnombre(etusuario.getText().toString());
	 			ousuario.secontrasena(pass.toString());
	 			ousuario.setcorreoelectronico(etcorreo.getText().toString());
	 			ousuario.setnumero_tarjeta(etnumerotarjeta.getText().toString());
	 			
	 			json.readAndParseJSONsetUsuarioServer(ousuario);
	 			
	 			finish();
	        	
	 			Intent myIntent = new Intent(view.getContext(), Principal.class);
	            startActivityForResult(myIntent, 0);
        	}
        	
        		
        }
        }
            	
    	});
    
    Button salida = (Button) findViewById(R.id.nuevo_B_salida);
    salida.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	finish();
        	
        	  Intent myIntent = new Intent(view.getContext(), Principal.class);
	            startActivityForResult(myIntent, 0);
	        	
            
        	}
    	});
  
	}
}
