package com.example.gesmec;




import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.app.Activity;
import android.widget.Button;
import android.content.Intent;

/*
 * Pantalla de seleccion entre las diferentes funcionalidades de la aplicacion, gestion, centrosmedicos y citas
 */
public class Seleccion extends Activity {
	long r_id_medicos;
	long r_id_usuario;
	String r_id_nombre;
	OUsuario ousuario;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.seleccion);
		ousuario = new OUsuario();
		
		Bundle datos = getIntent().getExtras ();
		
		if (datos != null){
				r_id_usuario = datos.getLong("usuario_id");
				r_id_nombre = datos.getString("usuario_nombre");
				r_id_medicos = datos.getLong("usuario_id_servicio_medico");
				TextView controlTexto = (TextView) findViewById(R.id.sel_T_nombre);				
				controlTexto.setText(r_id_nombre);
		   			
		}

			
		Button lista = (Button) findViewById(R.id.sel_B_lista);
		 lista.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();
		            Intent myIntent = new Intent(view.getContext(), Lista.class);
		        	myIntent.putExtra("usuario_id", r_id_usuario);
       	 			myIntent.putExtra("usuario_nombre", r_id_nombre);
       	 			myIntent.putExtra("usuario_id_servicio_medico", r_id_medicos);
       	 	 		startActivityForResult(myIntent, 0);
		        	}
		    	});
		 
		 Button cita = (Button) findViewById(R.id.sel_B_cita);
		 cita.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();
		        	
		            Intent myIntent = new Intent(view.getContext(), Selcita.class);
		            myIntent.putExtra("usuario_id", r_id_usuario);
       	 			myIntent.putExtra("usuario_nombre", r_id_nombre);
       	 			myIntent.putExtra("usuario_id_servicio_medico", r_id_medicos);
		            startActivityForResult(myIntent, 0);
		        	}
		    	});
		 Button gestionusu = (Button) findViewById(R.id.sel_B_gestionusu);
		 gestionusu.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();
		        	
		            Intent myIntent = new Intent(view.getContext(), Gestionusuario.class);
       	 			myIntent.putExtra("usuario_id", r_id_usuario);
       	 			myIntent.putExtra("usuario_nombre", r_id_nombre);
       	 			myIntent.putExtra("usuario_id_servicio_medico", r_id_medicos);
   	 	 		 
       	 	 		startActivityForResult(myIntent, 0);
		        	
		        	}
		    	});
		 Button salida = (Button) findViewById(R.id.sel_B_salida);
		 salida.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();
		              
		            Intent myIntent = new Intent(view.getContext(), Principal.class);
		            startActivityForResult(myIntent, 0);
		        	}
		    	});
	}
}
