package com.example.gesmec;

import java.util.Vector;
import org.json.JSONException;
import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.TextView;
import android.widget.TimePicker;
import android.widget.Toast;

/*
 * Seleccion de la fecha y hora a traves del objeto calendario.
 */
public class datepi extends Activity {
  TimePicker timePicker;
  DatePicker datePicker;
  String r_id_nombre;
  long r_id_medicos, r_id_usuario, r_id_centro_medicos, r_id_especialidad, r_id_medico;
  int hour, minute;
  int yr, month, day;
  private Vector<OHorario> Vhorario= new Vector<OHorario>();
  
	JSONParser json4 = new JSONParser(this);

	
	boolean conexion;
	TextView informacion;
	

	public boolean isOnline() {
		// Comprueba si tiene servicio de conexion 
		 ConnectivityManager cm = 
		         (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
		    NetworkInfo netInfo = cm.getActiveNetworkInfo();
		    if (netInfo != null && netInfo.isConnected()) {
		        return true;
		    }
		    return false;
		
	}

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.datepi);
	//se recuperan los datos que han sido pasados desde otro activity
    Bundle datos = getIntent().getExtras ();
	if (datos != null){
		r_id_usuario = datos.getLong("usuario_id");
		r_id_nombre= datos.getString("usuario_nombre");
		r_id_medicos = datos.getLong("usuario_id_servicio_medico");
		r_id_medico = datos.getLong("medico_id");
	}
	
    timePicker = (TimePicker) findViewById(R.id.timePicker);
    timePicker.setIs24HourView(true);
    datePicker = (DatePicker) findViewById(R.id.datePicker);
    informacion = (TextView)findViewById(R.id.datepi_T_informacion);
		
    Button btnOpen = (Button) findViewById(R.id.btnSet1);
    btnOpen.setOnClickListener(new View.OnClickListener() {
      public void onClick(View v) {
    	conexion = isOnline();
  		if (conexion == true)
      	{
     	 		//mostramos informacion
     	 		informacion.setText("CONEXION DE DATOS - CORRECTA");  
        int i_mes=(int) (datePicker.getMonth() + 1);
        if ((timePicker.getCurrentMinute() == 0 ) || (timePicker.getCurrentMinute() ==15) || (timePicker.getCurrentMinute() ==30 ) || (timePicker.getCurrentMinute() ==45) )
        {
      	try {
    			
    			Vhorario=json4.readAndParseJSONgetHorarioServer(r_id_medico, datePicker.getDayOfMonth(), i_mes, datePicker.getYear());
    			
    			
    		} catch (JSONException e) {
    			Log.e("datepi", "error"+e.toString());
    			e.printStackTrace();
    		}
    		
    		if (Vhorario != null)
    		{    			
    		      for( int i=0; i<Vhorario.size() ; i ++ ){ 
    		    	  OHorario horario = new OHorario();
    		    	  horario = Vhorario.elementAt(i); 
    		    	 String s_hora= String.valueOf(horario.getid_hora());
    		    	 String s_min="";
    		    	 if (String.valueOf(timePicker.getCurrentMinute()).length() ==1)
    		    	 {
    		    		 s_min="0"+String.valueOf(timePicker.getCurrentMinute());
    		    	 }
    		    	 else
    		    	 {
    		      		 s_min=String.valueOf(timePicker.getCurrentMinute());
    		    		    		 
    		    	 }
    		    	 String s_propio_hora=String.valueOf(timePicker.getCurrentHour())+s_min;
    		    		
    		    	 if (s_hora.toString().equals(s_propio_hora.toString()))
    			      {
    			    	  if (horario.getestado() == 0)
    		    			{
    			    		  	
    			    		    OCita ocita= new OCita();
    				    	  	ocita.setid_horario(horario.getid());
    				    	  	ocita.setid_usuario(r_id_usuario);
    				    	  	ocita.setobservaciones("0");
    		      				
    				    	  	//inserta cita correspondiente al usuario y horario
    				    	 	json4.readAndParseJSONsetCitaServer(ocita);
    				    	 	//modifica horario para el medico
    				 			json4.readAndParseJSONsetUpdateHorarioServer(horario.getid(), 1);
    		      				
    		      				Toast toast2 = Toast.makeText(getApplicationContext(), "CITA PEDIDA \n ", Toast.LENGTH_LONG);
    		    				toast2.show();
    		    				Log.i("datepi", "informacion: cita pedida");
    		    				finish();
    		    				Intent myIntent = new Intent(datepi.this, Selcita.class);
    		    				myIntent.putExtra("usuario_id",r_id_usuario);
    		    	        	myIntent.putExtra("usuario_nombre",r_id_nombre );
    		    	        	myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
    		    	        	startActivityForResult(myIntent, 0);
    		    	      
    		    			}
    		    			else
    		    			{
    		    				Toast toast2 = Toast.makeText(getApplicationContext(), "HORA OCUPADA \n ", Toast.LENGTH_LONG);
    		    				toast2.show();
    		    				Log.i("datepi", "Hora ocupada");
    		    				
    		    			}	
    		    	 			
            			}
    			      } 
    		}
    		else
    		{
    				Toast toast2 = Toast.makeText(getApplicationContext(), "ERROR EN HORARIO \n Tabla vacia o inexistente", Toast.LENGTH_LONG);
    				toast2.show();
    				Log.e("datepi", "error en horario tabla vacia o inexistente");		
    				finish();
    				Intent myIntent = new Intent(datepi.this, Selhorario.class);
    		        myIntent.putExtra("usuario_id",r_id_usuario);
    		        myIntent.putExtra("usuario_nombre",r_id_nombre );
    		        myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
    		        myIntent.putExtra("medico_id",r_id_medico );
    		        myIntent.putExtra("centro_nombre",r_id_centro_medicos );
    				startActivityForResult(myIntent, 0);
    	 	}
     		

                
        }
        else
        {
        	Toast.makeText(
                    getBaseContext(),
                    "LAS CITAS MEDICAS SE GESTIONAN EN 15 MINUTOS \n  MINUTOS -- 00, 15, 30 o 45",
                    Toast.LENGTH_SHORT).show();
                }
      	}
   	 	else
   	 	{
   	 		informacion.setText("CONEXION DE DATOS - INCORRECTA");

   	 	}
      }
  		
    });
    Button atras = (Button) findViewById(R.id.datepi_B_atras);
    atras.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	finish();
        	
        	Intent myIntent = new Intent(view.getContext(), Selcita.class);
        	myIntent.putExtra("usuario_id",r_id_usuario);
        	myIntent.putExtra("usuario_nombre",r_id_nombre );
        	myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
        	startActivityForResult(myIntent, 0);
            
        	}
    	});
  }

}
