package com.example.gesmec;

import java.util.Vector;

import org.json.JSONException;

import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;
import android.app.Activity;
import android.widget.Button;
import android.content.Context;
import android.content.Intent;


public class Gestionusuario extends Activity {
	Spinner spinner_servmedicos; 
	OUsuario ousuario ;
	OUsuario ousuarioM ;
	long r_id_usuario;
	String r_id_nombre;
	long r_id_medicos;
	JSONParser json = new JSONParser(this);
	JSONParser json2 = new JSONParser(this);
	JSONParser json3 = new JSONParser(this);
	boolean conexion;
	TextView informacion;
	

	
	
	/*Se prevee la generacion de un algoritmo que relacione 
	 * el numero de serie con una contrasea
	 */
	private String generar_contrasena(String v_tarjeta) {
		String salida=v_tarjeta.substring(1, 4);
		return salida;
		
	}
	

	public void gestion_correo(View view, String v_direccion, String v_pass) {
		String subject= "Correo logeo aplicacion GESMEC";
		String etBody= "Te recordamos que tu password es: "+v_pass;
		Intent itSend = new Intent(android.content.Intent.ACTION_SEND);
    	itSend.setType("plain/text");
    	itSend.putExtra(android.content.Intent.EXTRA_EMAIL, v_direccion);
    	itSend.putExtra(android.content.Intent.EXTRA_SUBJECT, subject);
    	itSend.putExtra(android.content.Intent.EXTRA_TEXT, etBody); 
       	startActivity(Intent.createChooser(itSend, "Seleccionar el cliente de correo"));
    	
		}
	
	public boolean isOnline() {
		// Comprueba si tiene servicio de conexion 
		 ConnectivityManager cm = 
		         (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
		    NetworkInfo netInfo = cm.getActiveNetworkInfo();
		    if (netInfo != null && netInfo.isConnected()) {
		        return true;
		    }
		    return false;
		
	}
	
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.gestionusuario);
		ousuario = new OUsuario();
		ousuarioM = new OUsuario();
		Vector<OServicio> Vobjetoservicio = new Vector<OServicio>();
		
		
		
		//recupera el identificador de
		Bundle datos = getIntent().getExtras ();	
		if (datos != null)
		{r_id_usuario = datos.getLong("usuario_id");
		r_id_nombre= datos.getString("usuario_nombre");
		r_id_medicos = datos.getLong("usuario_id_servicio_medico");
		
		}
		
		
	 	TextView v_nombre = (TextView) findViewById(R.id.gestionusuario_ET_usuario);
		TextView v_correo = (TextView) findViewById(R.id.gestionusuario_ET_correo);
    	TextView v_pass = (TextView) findViewById(R.id.gestionusuario_ET_contrasena);
    	TextView v_direccion = (TextView) findViewById(R.id.gestionusuario_ET_direccion);
    	TextView v_localidad = (TextView) findViewById(R.id.gestionusuario_ET_localidad);
	 	TextView v_numtarj = (TextView) findViewById(R.id.gestionusuario_ET_numerotarj);
	    	
	
		// cargalos la lista de servicios medicos, para posteriormente poder seleccionarla.
		ArrayAdapter<String> spinner_adapter; 
		spinner_servmedicos = (Spinner) findViewById(R.id.gestionusuario_SP_sermedico);
		spinner_adapter = new ArrayAdapter <String>(this, android.R.layout.simple_spinner_item);
		spinner_adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);
		spinner_servmedicos.setAdapter(spinner_adapter);
		
		informacion = (TextView) findViewById(R.id.gestionusuario_T_informacion);
		conexion = isOnline();
		if (conexion == true)
    	{
   	 		//mostramos informacion
   	 		informacion.setText("CONEXION DE DATOS - CORRECTA");
    	
   	 		
		
		
		try {
			Vobjetoservicio=json2.readAndParseJSONgetServiciosMedicosServer();
		} catch (JSONException e) {
			Log.e("Gestionusuario","error e "+e.toString());
			e.printStackTrace();
		}
		
		if (Vobjetoservicio != null)
		{
			for( int i=0; i<Vobjetoservicio.size() ; i ++ ){ 
	        			OServicio servicior = Vobjetoservicio.elementAt(i); 
	        			spinner_adapter.add(servicior.getnombre());
	        			}
			
			
			OUsuario ousuario = new OUsuario();
	 		ousuario=null;
	 		
	 		try {
	 			ousuario=json.readAndParseJSONgetUsuServerid(r_id_usuario);
			} catch (JSONException e) {
				Log.e("Gestionusuario","error e "+e.toString());
				e.printStackTrace();
			}
	 		
	 		if (ousuario != null)
	 			
			{
 			
 	    		v_nombre.setText(ousuario.getnombre());
 		 		v_pass.setText(ousuario.getcontrasena());
 		 		v_direccion.setText(ousuario.getdireccion());
 		 		v_localidad.setText(ousuario.getlocalidad());
 		 		v_correo.setText(ousuario.getcorreoelectronico());
 		 		v_numtarj.setText(ousuario.getnumero_tarjeta());
 		 		spinner_servmedicos.setSelection((int)ousuario.getid_servicio_medico()-1);
 		 		spinner_servmedicos.setClickable(false);

 			}
 			else 
 			{
 				Toast toast2 = Toast.makeText(getApplicationContext(), "USUARIO NO EXISTE \n Tabla vacia o inexistente", Toast.LENGTH_SHORT);
 				toast2.show();
 				Log.e("Gestionusuario","error Tabla usuario vacia o inexistente ");
 				finish();
				Intent myIntent = new Intent(Gestionusuario.this, Seleccion.class);
				myIntent.putExtra("usuario_id",r_id_usuario);
		        myIntent.putExtra("usuario_nombre",r_id_nombre );
		        myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
				startActivityForResult(myIntent, 0);
 			}
	 		
 		

		}
		else
		{
				Toast toast2 = Toast.makeText(getApplicationContext(), "ERROR EN SERVICIO MEDICO \n Tabla vacia o inexistente", Toast.LENGTH_SHORT);
				toast2.show();
				Log.e("Gestionusuario","error servicio medico tabla vacia o inexistente");
				finish();
				Intent myIntent = new Intent(Gestionusuario.this, Seleccion.class);		        
				myIntent.putExtra("usuario_id",r_id_usuario);
		        myIntent.putExtra("usuario_nombre",r_id_nombre );
		        myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
		        startActivityForResult(myIntent, 0);
	 	}
 		
    	}
   	 	else
   	 	{
   	 		informacion.setText("CONEXION DE DATOS - INCORRECTA");

   	 	}
 								
	
			
	Button modificar = (Button) findViewById(R.id.gestionusua_B_modi);
    modificar.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	TextView v_nombre = (TextView) findViewById(R.id.gestionusuario_ET_usuario);
    		TextView v_correo = (TextView) findViewById(R.id.gestionusuario_ET_correo);
        	TextView v_pass = (TextView) findViewById(R.id.gestionusuario_ET_contrasena);
        	TextView v_direccion = (TextView) findViewById(R.id.gestionusuario_ET_direccion);
        	TextView v_localidad = (TextView) findViewById(R.id.gestionusuario_ET_localidad);
    	 	TextView v_numtarj = (TextView) findViewById(R.id.gestionusuario_ET_numerotarj);
        	long v_selec=spinner_servmedicos.getSelectedItemId()+1;
        	
        	ousuarioM.setid(r_id_usuario);
        	ousuarioM.setdireccion(v_direccion.getText().toString());
        	ousuarioM.setlocalidad(v_localidad.getText().toString());
        	ousuarioM.setnombre(v_nombre.getText().toString());
        	ousuarioM.secontrasena(v_pass.getText().toString());
        	ousuarioM.setcorreoelectronico(v_correo.getText().toString());
        	ousuarioM.setnumero_tarjeta(v_numtarj.getText().toString());
        	ousuarioM.setid_servicio_medico(v_selec);
        	
        	json2.readAndParseJSONsetUpdateUsuarioServer(ousuarioM);
 			
        	
        	Toast toast2 = Toast.makeText(getApplicationContext(), "Modificacion realizada", Toast.LENGTH_LONG);
 			toast2.show();
			Log.i("Gestionusuario","modificacion realizada ");
 			finish();
        	Intent myIntent = new Intent(view.getContext(), Seleccion.class);
        	myIntent.putExtra("usuario_id", ousuarioM.getid());
        	myIntent.putExtra("usuario_nombre", ousuarioM.getnombre());
        	myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos);
        	startActivityForResult(myIntent, 0);
        }
    	});
    
    Button baja = (Button) findViewById(R.id.gestionusuario_B_borrar);
    baja.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        		
        		json3.readAndParseJSONsetDeleteUsuarioServer(r_id_usuario);
     			Toast toast2 = Toast.makeText(getApplicationContext(), "Registro Borrado ",  Toast.LENGTH_LONG);
	 			toast2.show();
				Log.i("Gestionusuario","registro borrado");
	 			finish();
	 			Intent myIntent = new Intent(view.getContext(), Principal.class);
	            startActivityForResult(myIntent, 0);
        	
        	}
    	});
    Button volver = (Button) findViewById(R.id.gestionusuario_B_salida);
    volver.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	finish();
        	Intent myIntent = new Intent(view.getContext(), Seleccion.class);
        	myIntent.putExtra("usuario_id",r_id_usuario);
        	myIntent.putExtra("usuario_nombre",r_id_nombre );
        	myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos);
         	startActivityForResult(myIntent, 0);
	        	
            
        	}
    	});
	}
}
