package com.example.gesmec;



import java.util.Vector;

import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.json.JSONException;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;
import android.app.Activity;
import android.widget.Button;
import android.content.Context;
import android.content.Intent;

/*
 * Pantalla principal, donde estara las opciones de acceso, nuevo, acercade y salir
 */

public class Principal extends Activity {

	boolean conexion;
	TextView informacion;
	OUsuario ousuario = new OUsuario();
	Vector<OUsuario> Vobjetoservicio = new Vector<OUsuario>();	
	JSONParser json = new JSONParser(this);
	JSONParser json2 = new JSONParser(this);
	String IPLOCAL="192.168.1.130";
	int salida=0; 
	   
	
	String IP="";
	boolean valor=false;
	long valorthreat=0;
	final Handler handle = new Handler();

	protected void miThread(){
		Thread t = new Thread() {
	    public void run() {
	    	
			  try {
            HttpClient httpclient = new DefaultHttpClient();
            HttpResponse response = httpclient.execute(new HttpGet("http://"+IP));
            if(response.getStatusLine().getStatusCode() == 200) {
            	valor=true;
                // Everything is OK
            } else {
            	valor=false;
                // Something wrong
            }
        } catch (Exception e) {
        	Log.e("Principal","error e"+e.toString());
 			
            // TODO: handle exception
        }
			  handle.post(proceso);
            }
	    };
	    t.start();
	    valorthreat= t.getId();
	    int cont=0;
	    while (t.isAlive())
		{	cont = cont +1;
	    	Log.i("Principal", "valorthreat "+valorthreat);
	    	Log.i("Principal", "valor "+valor);
	    	if (cont == 5000) {
	    		t.interrupt();
	    		break;
	    	}
		}
	    
	    
	}
		final Runnable proceso = new Runnable (){
			public void run(){
				Log.i("Principal","Chequando IP "+IP);
				//Toast.makeText(Principal.this, "Chequeando IP", Toast.LENGTH_LONG);
				
			}
			
		};
		    
		
	
		
	public boolean isOnline() {
		// Comprueba si tiene servicio de conexion 
		 ConnectivityManager cm = 
		         (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
		    NetworkInfo netInfo = cm.getActiveNetworkInfo();
		    if (netInfo != null && netInfo.isConnected()) {
		        return true;
		    }
		    return false;
		
	}

	

		   
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.principal);

		BDgesmec BD = new BDgesmec(this);
		IP = BD.dameIPconfiguracion();
		if (IP == null)
		{
			IP=IPLOCAL;		    					
					    					
		}
		miThread();
		
		if (valor == false)
    	{
    		finish();

        	//Finalizar la aplicacion mostrando mensaje 
    		Toast toast2 = Toast.makeText(getApplicationContext(), "NO EXISTE CONEXION CON SERVIDOR "+IP, Toast.LENGTH_LONG);
   	 		toast2.show();
   	 		Log.e("Principal", "error no hay conexion con "+IP);
    	
    	}
    	 
		

    	
    	//define los campos que deben ser rellenados
		EditText ET_usuario = (EditText) findViewById(R.id.main_ET_usuario);
		ET_usuario.setSelected(true);
		EditText ET_contrasena = (EditText) findViewById(R.id.main_ET_contrasena);
		ET_contrasena.setSelected(false);
		

    Button nuevo = (Button) findViewById(R.id.main_B_nuevo);
	 nuevo.setOnClickListener(new View.OnClickListener() {
	        public void onClick(View view) {
	        	finish();
	        	//Si seleccionamos un usuario nuevo, nos dirijimos a la clase Nuevo
	            Intent myIntent = new Intent(view.getContext(), Nuevo.class);
	            startActivityForResult(myIntent, 0);
	        	}
	    	});
	 
	    Button acercade = (Button) findViewById(R.id.main_B_acercade);
	    acercade.setOnClickListener(new View.OnClickListener() {
	        public void onClick(View view) {
	        	  finish();
		        	//Si seleccionamos el boton de acercade nuevo, nos dirijimos a la clase Acerca
	        	  Intent myIntent = new Intent(view.getContext(), Acerca.class);
	        	  startActivityForResult(myIntent, 0);
		        	
	            
	        	}
	    	});
	    
    Button salida = (Button) findViewById(R.id.main_B_salida);
    salida.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	finish();
        	//Finalizar la aplicacion mostrando mensaje 
        	Toast toast2 = Toast.makeText(getApplicationContext(), "Gracias por usar esta APP", Toast.LENGTH_SHORT);
        	toast2.show();
        	
            }
    	});
    
    Button acceso = (Button) findViewById(R.id.main_B_acceso);
    acceso.setOnClickListener(new View.OnClickListener() {
        public void onClick(View view) {
        	
        	//Comprobamos si tenemos conexion de datos necesaria para la descarga de informacion
        	conexion = isOnline();
         	
        	informacion = (TextView) findViewById(R.id.main_T_informacion);
       	 	TextView v_nombre = (TextView) findViewById(R.id.main_ET_usuario);
       	 	TextView v_pass = (TextView) findViewById(R.id.main_ET_contrasena);
       	 	
       	 	//Se indica que los campos deben de estar rellenos
       	 	if (v_nombre.getText().toString().isEmpty() &&  v_pass.getText().toString().isEmpty() )
       	 	{
       	 		Toast toast2 = Toast.makeText(getApplicationContext(), "RELLENE LOS DOS CAMPOS PARA TENER ACCESO A LA APLICACION", Toast.LENGTH_SHORT);
	 			toast2.show();
	 			Log.i("Principal", "falta datos por rellenar para tenera acceso");
		    	
   	 		
       	 	}
       	 	else
       	 	{
	       	 	if (conexion == true)
	        	{
	       	 		//mostramos informacion
	       	 		informacion.setText("CONEXION DE DATOS - CORRECTA");
	       	 		try 
	       	 		{
	       	 			
	       	 			OUsuario ousuario = new OUsuario();
	   
	       	 			//conexion a servidor
	       	 			//realizamos la consulta sobre los usuarios para saber si esta en el sistema.
	        	 		ousuario=json.readAndParseJSONgetUsuServer( v_nombre.getText().toString(), v_pass.getText().toString());
	       	 			if (ousuario != null)
	       	 			{
	       	 				
		       	 				//if (ousuario.getnombre().toString().equals(v_nombre.getText().toString()) && ousuario.getcontrasena().toString().equals(v_pass.getText().toString()))
	       	 					if (ousuario.getcorreoelectronico().toString().equals(v_nombre.getText().toString()) && ousuario.getcontrasena().toString().equals(v_pass.getText().toString()))
		       	 			
	       	 					{
		       	 					// usuario introducido existe, se muestra mensaje
			       	 				Toast toast2 = Toast.makeText(getApplicationContext(), "USUARIO EXISTE", Toast.LENGTH_SHORT);
			       		 			toast2.show();
			       		 			Log.i("Principal", "usuario existe en la bbdd ");
			       		    	
			       		 			//Cambiar el paso de una clase a otra, en vez de literales, pasarlo con objetos
			       		 			finish();
			       		 			Intent myIntent = new Intent(view.getContext(), Seleccion.class);
			       		 			//se envian datos a la siguiente pantalla, correspondiente a la clase Seleccion
					       	 		myIntent.putExtra("usuario_id", ousuario.getid());
					       	 		myIntent.putExtra("usuario_nombre", ousuario.getnombre().toString());
					       	 		myIntent.putExtra("usuario_id_servicio_medico", ousuario.getid_servicio_medico());
					       	 		startActivityForResult(myIntent, 0);
			       	 			}
			       	 			else 
			       	 			{
			       	 				//usuario introducido no existe, se muestra mensaje
			       	 				Toast toast2 = Toast.makeText(getApplicationContext(), "USUARIO NO EXISTE o ERROR DE CONEXION", Toast.LENGTH_SHORT);
			       	 				toast2.show();
			       	 				Log.i("Principal", "usuario no existe en la bbdd "+valorthreat);
			       		    	
			       	 			}
				       	 	}
	       	 			
		       	 		
	       	 		} catch (JSONException e) {
						// TODO Auto-generated catch block
	       	 			Toast toast2 = Toast.makeText(getApplicationContext(), "SE HA PRODUCIDO UN ERROR EN LA RECUPERACION DE DATOS", Toast.LENGTH_SHORT);
	       	 			toast2.show();
	       	 			Log.e("Principal", "error e"+e.toString());	    	    	
						e.printStackTrace();
					} 
	       	 		
	            		
	            	
	            }
	    		else
	    		{
	    			Toast toast2 = Toast.makeText(getApplicationContext(), "SE HA PRODUCIDO UN ERROR DE CONEXION", Toast.LENGTH_SHORT);
       	 			toast2.show();
       	 			Log.e("Principal", "error de conexion");	    	    	
	    			informacion.setText("CONEXION DE DATOS - INCORRECTA");
	    				
	    			
	    		}
    			 
       	 	}
            
        	}
    	});
	}
}