package com.example.gesmec;


import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.app.Activity;
import android.widget.Button;
import android.content.Intent;

/*
 * Pantalla de seleccion entre cita o historico de cita
 */
public class Selcita extends Activity {
	long r_id_medicos, r_id_usuario, r_id_medico;
	String r_id_nombre, r_nombre_medico;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.selcita);
		
		Bundle datos = getIntent().getExtras ();
		
		if (datos != null){
				r_id_usuario = datos.getLong("usuario_id");
				r_id_nombre = datos.getString("usuario_nombre");
				r_id_medicos = datos.getLong("usuario_id_servicio_medico");
				TextView controlTexto = (TextView) findViewById(R.id.selcita_T_nombre);
				controlTexto.setText(r_id_nombre);
		}

			
		 Button lista = (Button) findViewById(R.id.selcita_B_listacita);
		 lista.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();	        	
		        	Intent myIntent = new Intent(view.getContext(), Listacita.class);
		            myIntent.putExtra("usuario_id",r_id_usuario);
		        	myIntent.putExtra("usuario_nombre",r_id_nombre );
		        	myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
		        	startActivityForResult(myIntent, 0);
		        	}
		    	});
		 
		 Button peticion = (Button) findViewById(R.id.selcita_B_peticioncita);
		 peticion.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();
		        	
		        	 Intent myIntent = new Intent(view.getContext(), Cita.class);
			            myIntent.putExtra("usuario_id", r_id_usuario);
	       	 			myIntent.putExtra("usuario_nombre", r_id_nombre);
	       	 			myIntent.putExtra("usuario_id_servicio_medico", r_id_medicos);
			            startActivityForResult(myIntent, 0);    
		        }
		    	});
		
		 Button salida = (Button) findViewById(R.id.selcita_B_salida);
		 salida.setOnClickListener(new View.OnClickListener() {
		        public void onClick(View view) {
		        	finish();
		        	
		            Intent myIntent = new Intent(view.getContext(), Seleccion.class);
		            myIntent.putExtra("usuario_id",r_id_usuario);
		        	myIntent.putExtra("usuario_nombre",r_id_nombre );
		        	myIntent.putExtra("usuario_id_servicio_medico",r_id_medicos );
		            startActivityForResult(myIntent, 0);
		        	}
		    	});
	}
}
