-- phpMyAdmin SQL Dump
-- version 3.3.9.2
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 24-04-2013 a las 16:32:08
-- Versión del servidor: 5.5.9
-- Versión de PHP: 5.3.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Base de datos: `bbdd_gesmec.sql`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `centros_medicos`
--

CREATE TABLE `centros_medicos` (
  `id_servicio_medico` decimal(10,0) DEFAULT NULL,
  `provincia` text COLLATE utf8_spanish_ci,
  `codigo_postal` text COLLATE utf8_spanish_ci,
  `localidad` text COLLATE utf8_spanish_ci,
  `id` int(11) NOT NULL,
  `nombre` text COLLATE utf8_spanish_ci,
  `direccion` text COLLATE utf8_spanish_ci,
  `telefono` decimal(10,0) DEFAULT NULL,
  `longitud` text COLLATE utf8_spanish_ci,
  `latitud` text COLLATE utf8_spanish_ci,
  `observaciones` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `centros_medicos`
--

INSERT INTO `centros_medicos` VALUES(1, 'madrid', '28912', 'leganes', 1, 'medicentro\r\n', 'calle roma', 913324554, '-3.8460453000000143', '40.33190889999999', 'horario de 9 a 20');
INSERT INTO `centros_medicos` VALUES(2, 'madrid', '28918', 'mostoles', 2, 'centro palomares', 'calle venus', 913421232, '-3.8460453000000143', '40.3137184', 'horario de 10 a 20');
INSERT INTO `centros_medicos` VALUES(2, 'madrid', '28915', 'fuenlabrada', 3, 'hospital concepcion', 'calle medicos', 9999999999, '-3.7442192999999406', '40.2889802', '24 horas');
INSERT INTO `centros_medicos` VALUES(2, 'madrid', '29815', 'leganes', 4, 'mediadeslas', 'calle juan', 914349845, '-3.759424299999978', '40.33190889999999', 'horario de 9 a 21');
INSERT INTO `centros_medicos` VALUES(3, 'madrid', '28912', 'leganes', 5, 'medicadeslas II', 'calle tuuuu', 1234134, '-3.8460453000000143', '40.33190889999999', 'sin observaciones');
INSERT INTO `centros_medicos` VALUES(1, 'madrid', '28912', 'leganes', 6, 'medicentroII\r\n', 'calle roma', 913324554, '-3.8460453000000143', '40.33190889999999', 'horario de 9 a 20');
INSERT INTO `centros_medicos` VALUES(1, 'madrid', '28918', 'mostoles', 7, 'centro palomaresII', 'calle venus', 913421232, '-3.8460453000000143', '40.3137184', 'horario de 10 a 20');
INSERT INTO `centros_medicos` VALUES(3, 'madrid', '28915', 'fuenlabrada', 8, 'hospital concepcionII', 'calle medicos', 9999999999, '-3.7442192999999406', '40.2889802', '24 horas');
INSERT INTO `centros_medicos` VALUES(3, 'madrid', '29815', 'leganes', 9, 'mediadeslasIII', 'calle juan', 914349845, '-3.759424299999978', '40.33190889999999', 'horario de 9 a 21');
INSERT INTO `centros_medicos` VALUES(2, 'madrid', '28912', 'leganes', 10, 'medicadeslas III', 'calle tuuuu', 1234134, '-3.8460453000000143', '40.33190889999999', 'sin observaciones');


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cita`
--

CREATE TABLE `cita` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuario` decimal(10,0) DEFAULT NULL,
  `id_horario` decimal(10,0) DEFAULT NULL,
  `observaciones` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=10 ;



-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `especialidades`
--

CREATE TABLE `especialidades` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` text COLLATE utf8_spanish_ci,
  `otros` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=5 ;

--
-- Volcar la base de datos para la tabla `especialidades`
--

INSERT INTO `especialidades` VALUES(1, 'traumatologia', 'huesos');
INSERT INTO `especialidades` VALUES(2, 'octalmologia', 'ojos');
INSERT INTO `especialidades` VALUES(3, 'pediatra', 'niños');
INSERT INTO `especialidades` VALUES(4, 'general', NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `horario`
--

CREATE TABLE `horario` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_medico` decimal(10,0) DEFAULT NULL,
  `id_fecha` decimal(10,0) DEFAULT NULL,
  `id_hora` decimal(10,0) DEFAULT NULL,
  `estado` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=27 ;

--
-- Volcar la base de datos para la tabla `horario`
--

INSERT INTO `horario` VALUES(1, 1, 20130610, 815, '1');
INSERT INTO `horario` VALUES(2, 1, 20130610, 830, '1');
INSERT INTO `horario` VALUES(3, 1, 20130610, 845, '1');
INSERT INTO `horario` VALUES(4, 1, 20130610, 900, '1');
INSERT INTO `horario` VALUES(5, 1, 20130610, 915, '1');
INSERT INTO `horario` VALUES(6, 1, 20130610, 930, '1');
INSERT INTO `horario` VALUES(7, 1, 20130610, 945, '1');
INSERT INTO `horario` VALUES(8, 1, 20130610, 1015, '1');
INSERT INTO `horario` VALUES(9, 1, 20130610, 1030, '1');
INSERT INTO `horario` VALUES(10, 1, 20130610, 1045, '0');
INSERT INTO `horario` VALUES(11, 1, 20130610, 1115, '0');
INSERT INTO `horario` VALUES(12, 1, 20130610, 1130, '1');
INSERT INTO `horario` VALUES(13, 1, 20130610, 1145, '0');
INSERT INTO `horario` VALUES(14, 1, 20130610, 1215, '0');
INSERT INTO `horario` VALUES(15, 1, 20130610, 1230, '1');
INSERT INTO `horario` VALUES(16, 1, 20130610, 1245, '1');
INSERT INTO `horario` VALUES(17, 1, 20130610, 1300, '0');
INSERT INTO `horario` VALUES(18, 1, 20130610, 1315, '0');
INSERT INTO `horario` VALUES(19, 1, 20130610, 1330, '1');
INSERT INTO `horario` VALUES(20, 1, 20130610, 1345, '0');
INSERT INTO `horario` VALUES(21, 1, 20130610, 1400, '0');
INSERT INTO `horario` VALUES(22, 1, 20130610, 1415, '0');
INSERT INTO `horario` VALUES(23, 1, 20130610, 1430, '1');
INSERT INTO `horario` VALUES(24, 1, 20130610, 1445, '0');
INSERT INTO `horario` VALUES(25, 1, 20130610, 1500, '0');
INSERT INTO `horario` VALUES(26, 1, 20130610, 1515, '0');
INSERT INTO `horario` VALUES(27, 1, 20130610, 1530, '1');
INSERT INTO `horario` VALUES(28, 1, 20130610, 1545, '0');
INSERT INTO `horario` VALUES(29, 1, 20130610, 1600, '0');
INSERT INTO `horario` VALUES(30, 1, 20130610, 1615, '0');

INSERT INTO `horario` VALUES(31, 2, 20130610, 815, '1');
INSERT INTO `horario` VALUES(32, 2, 20130610, 830, '1');
INSERT INTO `horario` VALUES(33, 2, 20130610, 845, '1');
INSERT INTO `horario` VALUES(34, 2, 20130610, 900, '1');
INSERT INTO `horario` VALUES(35, 2, 20130610, 915, '1');
INSERT INTO `horario` VALUES(36, 2, 20130610, 930, '1');
INSERT INTO `horario` VALUES(37, 2, 20130610, 945, '1');
INSERT INTO `horario` VALUES(38, 2, 20130610, 1015, '1');
INSERT INTO `horario` VALUES(39, 2, 20130610, 1030, '1');
INSERT INTO `horario` VALUES(40, 2, 20130610, 1045, '0');
INSERT INTO `horario` VALUES(41, 2, 20130610, 1115, '0');
INSERT INTO `horario` VALUES(42, 2, 20130610, 1130, '1');
INSERT INTO `horario` VALUES(43, 2, 20130610, 1145, '0');
INSERT INTO `horario` VALUES(44, 2, 20130610, 1215, '0');
INSERT INTO `horario` VALUES(45, 2, 20130610, 1230, '1');
INSERT INTO `horario` VALUES(46, 2, 20130610, 1245, '1');
INSERT INTO `horario` VALUES(47, 2, 20130610, 1300, '0');
INSERT INTO `horario` VALUES(48, 2, 20130610, 1315, '0');
INSERT INTO `horario` VALUES(49, 2, 20130610, 1330, '1');
INSERT INTO `horario` VALUES(50, 2, 20130610, 1345, '0');
INSERT INTO `horario` VALUES(51, 2, 20130610, 1400, '0');
INSERT INTO `horario` VALUES(52, 2, 20130610, 1415, '0');
INSERT INTO `horario` VALUES(53, 2, 20130610, 1430, '1');
INSERT INTO `horario` VALUES(54, 2, 20130610, 1445, '0');
INSERT INTO `horario` VALUES(55, 2, 20130610, 1500, '0');
INSERT INTO `horario` VALUES(56, 2, 20130610, 1515, '0');
INSERT INTO `horario` VALUES(57, 2, 20130610, 1530, '1');
INSERT INTO `horario` VALUES(58, 2, 20130610, 1545, '0');
INSERT INTO `horario` VALUES(59, 2, 20130610, 1600, '0');
INSERT INTO `horario` VALUES(60, 2, 20130610, 1615, '0');



INSERT INTO `horario` VALUES(61, 3, 20130610, 815, '1');
INSERT INTO `horario` VALUES(62, 3, 20130610, 830, '1');
INSERT INTO `horario` VALUES(63, 3, 20130610, 845, '1');
INSERT INTO `horario` VALUES(64, 3, 20130610, 900, '1');
INSERT INTO `horario` VALUES(65, 3, 20130610, 915, '1');
INSERT INTO `horario` VALUES(66, 3, 20130610, 930, '1');
INSERT INTO `horario` VALUES(67, 3, 20130610, 945, '1');
INSERT INTO `horario` VALUES(68, 3, 20130610, 1015, '1');
INSERT INTO `horario` VALUES(69, 3, 20130610, 1030, '1');
INSERT INTO `horario` VALUES(70, 3, 20130610, 1045, '0');
INSERT INTO `horario` VALUES(71, 3, 20130610, 1115, '0');
INSERT INTO `horario` VALUES(72, 3, 20130610, 1130, '1');
INSERT INTO `horario` VALUES(73, 3, 20130610, 1145, '0');
INSERT INTO `horario` VALUES(74, 3, 20130610, 1215, '0');
INSERT INTO `horario` VALUES(75, 3, 20130610, 1230, '1');
INSERT INTO `horario` VALUES(76, 3, 20130610, 1245, '1');
INSERT INTO `horario` VALUES(77, 3, 20130610, 1300, '0');
INSERT INTO `horario` VALUES(78, 3, 20130610, 1315, '0');
INSERT INTO `horario` VALUES(79, 3, 20130610, 1330, '1');
INSERT INTO `horario` VALUES(80, 3, 20130610, 1345, '0');
INSERT INTO `horario` VALUES(81, 3, 20130610, 1400, '0');
INSERT INTO `horario` VALUES(82, 3, 20130610, 1415, '0');
INSERT INTO `horario` VALUES(83, 3, 20130610, 1430, '1');
INSERT INTO `horario` VALUES(84, 3, 20130610, 1445, '0');
INSERT INTO `horario` VALUES(85, 3, 20130610, 1500, '0');
INSERT INTO `horario` VALUES(86, 3, 20130610, 1515, '0');
INSERT INTO `horario` VALUES(87, 3, 20130610, 1530, '1');
INSERT INTO `horario` VALUES(88, 3, 20130610, 1545, '0');
INSERT INTO `horario` VALUES(89, 3, 20130610, 1600, '0');
INSERT INTO `horario` VALUES(90, 3, 20130610, 1615, '0');



INSERT INTO `horario` VALUES(91, 4, 20130610, 815, '1');
INSERT INTO `horario` VALUES(92, 4, 20130610, 830, '1');
INSERT INTO `horario` VALUES(93, 4, 20130610, 845, '1');
INSERT INTO `horario` VALUES(94, 4, 20130610, 900, '1');
INSERT INTO `horario` VALUES(95, 4, 20130610, 915, '1');
INSERT INTO `horario` VALUES(96, 4, 20130610, 930, '1');
INSERT INTO `horario` VALUES(97, 4, 20130610, 945, '1');
INSERT INTO `horario` VALUES(98, 4, 20130610, 1015, '1');
INSERT INTO `horario` VALUES(99, 4, 20130610, 1030, '1');
INSERT INTO `horario` VALUES(100, 4, 20130610, 1045, '0');
INSERT INTO `horario` VALUES(101, 4, 20130610, 1115, '0');
INSERT INTO `horario` VALUES(102, 4, 20130610, 1130, '1');
INSERT INTO `horario` VALUES(103, 4, 20130610, 1145, '0');
INSERT INTO `horario` VALUES(104, 4, 20130610, 1215, '0');
INSERT INTO `horario` VALUES(105, 4, 20130610, 1230, '1');
INSERT INTO `horario` VALUES(106, 4, 20130610, 1245, '1');
INSERT INTO `horario` VALUES(107, 4, 20130610, 1300, '0');
INSERT INTO `horario` VALUES(108, 4, 20130610, 1315, '0');
INSERT INTO `horario` VALUES(109, 4, 20130610, 1330, '1');
INSERT INTO `horario` VALUES(110, 4, 20130610, 1345, '0');
INSERT INTO `horario` VALUES(111, 4, 20130610, 1400, '0');
INSERT INTO `horario` VALUES(112, 4, 20130610, 1415, '0');
INSERT INTO `horario` VALUES(113, 4, 20130610, 1430, '1');
INSERT INTO `horario` VALUES(114, 4, 20130610, 1445, '0');
INSERT INTO `horario` VALUES(115, 4, 20130610, 1500, '0');
INSERT INTO `horario` VALUES(116, 4, 20130610, 1515, '0');
INSERT INTO `horario` VALUES(117, 4, 20130610, 1430, '1');
INSERT INTO `horario` VALUES(118, 4, 20130610, 1445, '0');
INSERT INTO `horario` VALUES(119, 4, 20130610, 1500, '0');
INSERT INTO `horario` VALUES(120, 4, 20130610, 1515, '0');
INSERT INTO `horario` VALUES(121, 4, 20130610, 1530, '1');
INSERT INTO `horario` VALUES(122, 4, 20130610, 1545, '0');
INSERT INTO `horario` VALUES(123, 4, 20130610, 1600, '0');
INSERT INTO `horario` VALUES(124, 4, 20130610, 1615, '0');

INSERT INTO `horario` VALUES(125, 5, 20130610, 815, '1');
INSERT INTO `horario` VALUES(126, 5, 20130610, 830, '1');
INSERT INTO `horario` VALUES(127, 5, 20130610, 845, '0');
INSERT INTO `horario` VALUES(128, 5, 20130610, 900, '1');
INSERT INTO `horario` VALUES(129, 5, 20130610, 915, '1');
INSERT INTO `horario` VALUES(130, 5, 20130610, 930, '0');
INSERT INTO `horario` VALUES(131, 5, 20130610, 945, '1');


INSERT INTO `horario` VALUES(132, 6, 20130610, 815, '1');
INSERT INTO `horario` VALUES(133, 6, 20130610, 830, '0');
INSERT INTO `horario` VALUES(134, 6, 20130610, 845, '1');
INSERT INTO `horario` VALUES(135, 6, 20130610, 900, '0');
INSERT INTO `horario` VALUES(136, 6, 20130610, 915, '1');
INSERT INTO `horario` VALUES(137, 6, 20130610, 930, '0');
INSERT INTO `horario` VALUES(138, 6, 20130610, 945, '1');

INSERT INTO `horario` VALUES(139, 7, 20130610, 815, '1');
INSERT INTO `horario` VALUES(140, 7, 20130610, 830, '0');
INSERT INTO `horario` VALUES(141, 7, 20130610, 845, '1');
INSERT INTO `horario` VALUES(142, 7, 20130610, 900, '0');
INSERT INTO `horario` VALUES(143, 7, 20130610, 915, '1');
INSERT INTO `horario` VALUES(144, 7, 20130610, 930, '1');
INSERT INTO `horario` VALUES(145, 7, 20130610, 945, '1');


INSERT INTO `horario` VALUES(146, 8, 20130610, 815, '1');
INSERT INTO `horario` VALUES(147, 8, 20130610, 830, '0');
INSERT INTO `horario` VALUES(148, 8, 20130610, 845, '1');
INSERT INTO `horario` VALUES(149, 8, 20130610, 900, '0');
INSERT INTO `horario` VALUES(150, 8, 20130610, 915, '1');
INSERT INTO `horario` VALUES(151, 8, 20130610, 930, '0');
INSERT INTO `horario` VALUES(152, 8, 20130610, 945, '1');

INSERT INTO `horario` VALUES(153, 9, 20130610, 815, '0');
INSERT INTO `horario` VALUES(154, 9, 20130610, 830, '1');
INSERT INTO `horario` VALUES(155, 9, 20130610, 845, '0');
INSERT INTO `horario` VALUES(156, 9, 20130610, 900, '1');
INSERT INTO `horario` VALUES(157, 9, 20130610, 915, '0');
INSERT INTO `horario` VALUES(158, 9, 20130610, 930, '0');
INSERT INTO `horario` VALUES(159, 9, 20130610, 945, '0');

INSERT INTO `horario` VALUES(160, 10, 20130610, 815, '1');
INSERT INTO `horario` VALUES(161, 10, 20130610, 830, '0');
INSERT INTO `horario` VALUES(162, 10, 20130610, 845, '1');
INSERT INTO `horario` VALUES(163, 10, 20130610, 900, '0');
INSERT INTO `horario` VALUES(164, 10, 20130610, 915, '1');
INSERT INTO `horario` VALUES(165, 10, 20130610, 930, '0');
INSERT INTO `horario` VALUES(166, 10, 20130610, 945, '1');



INSERT INTO `horario` VALUES(167, 1, 20130611, 815, '1');
INSERT INTO `horario` VALUES(168, 1, 20130611, 830, '1');
INSERT INTO `horario` VALUES(169, 1, 20130611, 845, '1');
INSERT INTO `horario` VALUES(170, 1, 20130611, 900, '1');
INSERT INTO `horario` VALUES(171, 1, 20130611, 915, '1');
INSERT INTO `horario` VALUES(172, 1, 20130611, 930, '1');
INSERT INTO `horario` VALUES(173, 1, 20130611, 945, '1');
INSERT INTO `horario` VALUES(178, 1, 20130611, 1015, '1');
INSERT INTO `horario` VALUES(179, 1, 20130611, 1030, '1');
INSERT INTO `horario` VALUES(180, 1, 20130611, 1045, '0');
INSERT INTO `horario` VALUES(181, 1, 20130611, 1115, '0');
INSERT INTO `horario` VALUES(182, 1, 20130611, 1130, '1');
INSERT INTO `horario` VALUES(183, 1, 20130611, 1145, '0');
INSERT INTO `horario` VALUES(184, 1, 20130611, 1215, '0');
INSERT INTO `horario` VALUES(185, 1, 20130611, 1230, '1');
INSERT INTO `horario` VALUES(186, 1, 20130611, 1245, '1');
INSERT INTO `horario` VALUES(187, 1, 20130611, 1300, '0');
INSERT INTO `horario` VALUES(188, 1, 20130611, 1315, '0');
INSERT INTO `horario` VALUES(189, 1, 20130611, 1330, '1');
INSERT INTO `horario` VALUES(190, 1, 20130611, 1345, '0');
INSERT INTO `horario` VALUES(191, 1, 20130611, 1400, '0');
INSERT INTO `horario` VALUES(192, 1, 20130611, 1415, '0');
INSERT INTO `horario` VALUES(193, 1, 20130611, 1430, '1');
INSERT INTO `horario` VALUES(194, 1, 20130611, 1445, '0');
INSERT INTO `horario` VALUES(195, 1, 20130611, 1500, '0');
INSERT INTO `horario` VALUES(196, 1, 20130611, 1515, '0');
INSERT INTO `horario` VALUES(197, 1, 20130611, 1530, '1');
INSERT INTO `horario` VALUES(198, 1, 20130611, 1545, '0');
INSERT INTO `horario` VALUES(199, 1, 20130611, 1600, '0');
INSERT INTO `horario` VALUES(200, 1, 20130611, 1615, '0');

INSERT INTO `horario` VALUES(201, 2, 20130611, 815, '1');
INSERT INTO `horario` VALUES(202, 2, 20130611, 830, '1');
INSERT INTO `horario` VALUES(203, 2, 20130611, 845, '1');
INSERT INTO `horario` VALUES(204, 2, 20130611, 900, '1');
INSERT INTO `horario` VALUES(205, 2, 20130611, 915, '1');
INSERT INTO `horario` VALUES(206, 2, 20130611, 930, '1');
INSERT INTO `horario` VALUES(207, 2, 20130611, 945, '1');
INSERT INTO `horario` VALUES(208, 2, 20130611, 1015, '1');
INSERT INTO `horario` VALUES(209, 2, 20130611, 1030, '1');
INSERT INTO `horario` VALUES(210, 2, 20130611, 1045, '0');
INSERT INTO `horario` VALUES(211, 2, 20130611, 1115, '0');
INSERT INTO `horario` VALUES(212, 2, 20130611, 1130, '1');
INSERT INTO `horario` VALUES(213, 2, 20130611, 1145, '0');
INSERT INTO `horario` VALUES(214, 2, 20130611, 1215, '0');
INSERT INTO `horario` VALUES(215, 2, 20130611, 1230, '1');
INSERT INTO `horario` VALUES(216, 2, 20130611, 1245, '1');
INSERT INTO `horario` VALUES(217, 2, 20130611, 1300, '0');
INSERT INTO `horario` VALUES(218, 2, 20130611, 1315, '0');
INSERT INTO `horario` VALUES(219, 2, 20130611, 1330, '1');
INSERT INTO `horario` VALUES(220, 2, 20130611, 1345, '0');
INSERT INTO `horario` VALUES(221, 2, 20130611, 1400, '0');
INSERT INTO `horario` VALUES(222, 2, 20130611, 1415, '0');
INSERT INTO `horario` VALUES(223, 2, 20130611, 1430, '1');
INSERT INTO `horario` VALUES(224, 2, 20130611, 1445, '0');
INSERT INTO `horario` VALUES(225, 2, 20130611, 1500, '0');
INSERT INTO `horario` VALUES(226, 2, 20130611, 1515, '0');
INSERT INTO `horario` VALUES(227, 2, 20130611, 1530, '1');
INSERT INTO `horario` VALUES(228, 2, 20130611, 1545, '0');
INSERT INTO `horario` VALUES(229, 2, 20130611, 1600, '0');
INSERT INTO `horario` VALUES(230, 2, 20130611, 1615, '0');



INSERT INTO `horario` VALUES(231, 3, 20130611, 815, '1');
INSERT INTO `horario` VALUES(232, 3, 20130611, 830, '1');
INSERT INTO `horario` VALUES(233, 3, 20130611, 845, '1');
INSERT INTO `horario` VALUES(234, 3, 20130611, 900, '1');
INSERT INTO `horario` VALUES(235, 3, 20130611, 915, '1');
INSERT INTO `horario` VALUES(236, 3, 20130611, 930, '1');
INSERT INTO `horario` VALUES(237, 3, 20130611, 945, '1');
INSERT INTO `horario` VALUES(238, 3, 20130611, 1015, '1');
INSERT INTO `horario` VALUES(239, 3, 20130611, 1030, '1');
INSERT INTO `horario` VALUES(240, 3, 20130611, 1045, '0');
INSERT INTO `horario` VALUES(241, 3, 20130611, 1115, '0');
INSERT INTO `horario` VALUES(242, 3, 20130611, 1130, '1');
INSERT INTO `horario` VALUES(243, 3, 20130611, 1145, '0');
INSERT INTO `horario` VALUES(244, 3, 20130611, 1215, '0');
INSERT INTO `horario` VALUES(245, 3, 20130611, 1230, '1');
INSERT INTO `horario` VALUES(246, 3, 20130611, 1245, '1');
INSERT INTO `horario` VALUES(247, 3, 20130611, 1300, '0');
INSERT INTO `horario` VALUES(248, 3, 20130611, 1315, '0');
INSERT INTO `horario` VALUES(249, 3, 20130611, 1330, '1');
INSERT INTO `horario` VALUES(250, 3, 20130611, 1345, '0');
INSERT INTO `horario` VALUES(251, 3, 20130611, 1400, '0');
INSERT INTO `horario` VALUES(252, 3, 20130611, 1415, '0');
INSERT INTO `horario` VALUES(253, 3, 20130611, 1430, '1');
INSERT INTO `horario` VALUES(254, 3, 20130611, 1445, '0');
INSERT INTO `horario` VALUES(255, 3, 20130611, 1500, '0');
INSERT INTO `horario` VALUES(256, 3, 20130611, 1515, '0');
INSERT INTO `horario` VALUES(257, 3, 20130611, 1530, '1');
INSERT INTO `horario` VALUES(258, 3, 20130611, 1545, '0');
INSERT INTO `horario` VALUES(259, 3, 20130611, 1600, '0');
INSERT INTO `horario` VALUES(260, 3, 20130611, 1615, '0');



INSERT INTO `horario` VALUES(261, 4, 20130611, 815, '1');
INSERT INTO `horario` VALUES(262, 4, 20130611, 830, '1');
INSERT INTO `horario` VALUES(263, 4, 20130611, 845, '1');
INSERT INTO `horario` VALUES(264, 4, 20130611, 900, '1');
INSERT INTO `horario` VALUES(265, 4, 20130611, 915, '1');
INSERT INTO `horario` VALUES(266, 4, 20130611, 930, '1');
INSERT INTO `horario` VALUES(267, 4, 20130611, 945, '1');
INSERT INTO `horario` VALUES(268, 4, 20130611, 1015, '1');
INSERT INTO `horario` VALUES(269, 4, 20130611, 1030, '1');
INSERT INTO `horario` VALUES(270, 4, 20130611, 1045, '0');
INSERT INTO `horario` VALUES(271, 4, 20130611, 1115, '0');
INSERT INTO `horario` VALUES(272, 4, 20130611, 1130, '1');
INSERT INTO `horario` VALUES(273, 4, 20130611, 1145, '0');
INSERT INTO `horario` VALUES(274, 4, 20130611, 1215, '0');


INSERT INTO `horario` VALUES(275, 5, 20130611, 815, '1');
INSERT INTO `horario` VALUES(276, 5, 20130611, 830, '1');
INSERT INTO `horario` VALUES(277, 5, 20130611, 845, '0');
INSERT INTO `horario` VALUES(278, 5, 20130611, 900, '1');
INSERT INTO `horario` VALUES(279, 5, 20130611, 915, '1');
INSERT INTO `horario` VALUES(280, 5, 20130611, 930, '0');
INSERT INTO `horario` VALUES(281, 5, 20130611, 945, '1');


INSERT INTO `horario` VALUES(282, 6, 20130611, 815, '1');
INSERT INTO `horario` VALUES(283, 6, 20130611, 830, '0');
INSERT INTO `horario` VALUES(284, 6, 20130611, 845, '1');
INSERT INTO `horario` VALUES(285, 6, 20130611, 900, '0');
INSERT INTO `horario` VALUES(286, 6, 20130611, 915, '1');
INSERT INTO `horario` VALUES(287, 6, 20130611, 930, '0');
INSERT INTO `horario` VALUES(288, 6, 20130611, 945, '1');

INSERT INTO `horario` VALUES(289, 7, 20130611, 815, '1');
INSERT INTO `horario` VALUES(290, 7, 20130611, 830, '0');
INSERT INTO `horario` VALUES(291, 7, 20130611, 845, '1');
INSERT INTO `horario` VALUES(292, 7, 20130611, 900, '0');
INSERT INTO `horario` VALUES(293, 7, 20130611, 915, '1');
INSERT INTO `horario` VALUES(294, 7, 20130611, 930, '1');
INSERT INTO `horario` VALUES(295, 7, 20130611, 945, '1');


INSERT INTO `horario` VALUES(296, 8, 20130611, 815, '1');
INSERT INTO `horario` VALUES(297, 8, 20130611, 830, '0');
INSERT INTO `horario` VALUES(298, 8, 20130611, 845, '1');
INSERT INTO `horario` VALUES(299, 8, 20130611, 900, '0');
INSERT INTO `horario` VALUES(300, 8, 20130611, 915, '1');
INSERT INTO `horario` VALUES(301, 8, 20130611, 930, '0');
INSERT INTO `horario` VALUES(302, 8, 20130611, 945, '1');

INSERT INTO `horario` VALUES(303, 9, 20130611, 815, '0');
INSERT INTO `horario` VALUES(304, 9, 20130611, 830, '1');
INSERT INTO `horario` VALUES(305, 9, 20130611, 845, '0');
INSERT INTO `horario` VALUES(306, 9, 20130611, 900, '1');
INSERT INTO `horario` VALUES(307, 9, 20130611, 915, '0');
INSERT INTO `horario` VALUES(308, 9, 20130611, 930, '0');
INSERT INTO `horario` VALUES(309, 9, 20130611, 945, '0');

INSERT INTO `horario` VALUES(310, 10, 20130611, 815, '1');
INSERT INTO `horario` VALUES(311, 10, 20130611, 830, '0');
INSERT INTO `horario` VALUES(312, 10, 20130611, 845, '1');
INSERT INTO `horario` VALUES(313, 10, 20130611, 900, '0');
INSERT INTO `horario` VALUES(314, 10, 20130611, 915, '1');
INSERT INTO `horario` VALUES(315, 10, 20130611, 930, '0');
INSERT INTO `horario` VALUES(316, 10, 20130611, 945, '1');

INSERT INTO `horario` VALUES(367, 1, 20130612, 815, '1');
INSERT INTO `horario` VALUES(368, 1, 20130612, 830, '1');
INSERT INTO `horario` VALUES(369, 1, 20130612, 845, '1');
INSERT INTO `horario` VALUES(370, 1, 20130612, 900, '1');
INSERT INTO `horario` VALUES(371, 1, 20130612, 915, '1');
INSERT INTO `horario` VALUES(372, 1, 20130612, 930, '1');
INSERT INTO `horario` VALUES(373, 1, 20130612, 945, '1');
INSERT INTO `horario` VALUES(378, 1, 20130612, 1015, '1');
INSERT INTO `horario` VALUES(379, 1, 20130612, 1030, '1');
INSERT INTO `horario` VALUES(380, 1, 20130612, 1045, '0');
INSERT INTO `horario` VALUES(381, 1, 20130612, 1115, '0');
INSERT INTO `horario` VALUES(382, 1, 20130612, 1130, '1');
INSERT INTO `horario` VALUES(383, 1, 20130612, 1145, '0');
INSERT INTO `horario` VALUES(384, 1, 20130612, 1215, '0');
INSERT INTO `horario` VALUES(385, 1, 20130612, 1230, '1');
INSERT INTO `horario` VALUES(386, 1, 20130612, 1245, '1');
INSERT INTO `horario` VALUES(387, 1, 20130612, 1300, '0');
INSERT INTO `horario` VALUES(388, 1, 20130612, 1315, '0');
INSERT INTO `horario` VALUES(389, 1, 20130612, 1330, '1');
INSERT INTO `horario` VALUES(390, 1, 20130612, 1345, '0');
INSERT INTO `horario` VALUES(391, 1, 20130612, 1400, '0');
INSERT INTO `horario` VALUES(392, 1, 20130612, 1415, '0');
INSERT INTO `horario` VALUES(393, 1, 20130612, 1430, '1');
INSERT INTO `horario` VALUES(394, 1, 20130612, 1445, '0');
INSERT INTO `horario` VALUES(395, 1, 20130612, 1500, '0');
INSERT INTO `horario` VALUES(396, 1, 20130612, 1515, '0');
INSERT INTO `horario` VALUES(397, 1, 20130612, 1530, '1');
INSERT INTO `horario` VALUES(398, 1, 20130612, 1545, '0');
INSERT INTO `horario` VALUES(399, 1, 20130612, 1600, '0');
INSERT INTO `horario` VALUES(400, 1, 20130612, 1615, '0');

INSERT INTO `horario` VALUES(401, 2, 20130612, 815, '1');
INSERT INTO `horario` VALUES(402, 2, 20130612, 830, '1');
INSERT INTO `horario` VALUES(403, 2, 20130612, 845, '1');
INSERT INTO `horario` VALUES(404, 2, 20130612, 900, '1');
INSERT INTO `horario` VALUES(405, 2, 20130612, 915, '1');
INSERT INTO `horario` VALUES(406, 2, 20130612, 930, '1');
INSERT INTO `horario` VALUES(407, 2, 20130612, 945, '1');
INSERT INTO `horario` VALUES(408, 2, 20130612, 1015, '1');
INSERT INTO `horario` VALUES(409, 2, 20130612, 1030, '1');
INSERT INTO `horario` VALUES(410, 2, 20130612, 1045, '0');
INSERT INTO `horario` VALUES(411, 2, 20130612, 1115, '0');
INSERT INTO `horario` VALUES(412, 2, 20130612, 1130, '1');
INSERT INTO `horario` VALUES(413, 2, 20130612, 1145, '0');
INSERT INTO `horario` VALUES(414, 2, 20130612, 1215, '0');
INSERT INTO `horario` VALUES(415, 2, 20130612, 1230, '1');
INSERT INTO `horario` VALUES(416, 2, 20130612, 1245, '1');
INSERT INTO `horario` VALUES(417, 2, 20130612, 1300, '0');
INSERT INTO `horario` VALUES(418, 2, 20130612, 1315, '0');
INSERT INTO `horario` VALUES(419, 2, 20130612, 1330, '1');
INSERT INTO `horario` VALUES(420, 2, 20130612, 1345, '0');
INSERT INTO `horario` VALUES(421, 2, 20130612, 1400, '0');
INSERT INTO `horario` VALUES(422, 2, 20130612, 1415, '0');
INSERT INTO `horario` VALUES(423, 2, 20130612, 1430, '1');
INSERT INTO `horario` VALUES(424, 2, 20130612, 1445, '0');
INSERT INTO `horario` VALUES(425, 2, 20130612, 1500, '0');
INSERT INTO `horario` VALUES(426, 2, 20130612, 1515, '0');
INSERT INTO `horario` VALUES(427, 2, 20130612, 1530, '1');
INSERT INTO `horario` VALUES(428, 2, 20130612, 1545, '0');
INSERT INTO `horario` VALUES(429, 2, 20130612, 1600, '0');
INSERT INTO `horario` VALUES(430, 2, 20130612, 1615, '0');



INSERT INTO `horario` VALUES(431, 3, 20130612, 815, '1');
INSERT INTO `horario` VALUES(432, 3, 20130612, 830, '1');
INSERT INTO `horario` VALUES(433, 3, 20130612, 845, '1');
INSERT INTO `horario` VALUES(434, 3, 20130612, 900, '1');
INSERT INTO `horario` VALUES(435, 3, 20130612, 915, '1');
INSERT INTO `horario` VALUES(436, 3, 20130612, 930, '1');
INSERT INTO `horario` VALUES(437, 3, 20130612, 945, '1');
INSERT INTO `horario` VALUES(438, 3, 20130612, 1015, '1');
INSERT INTO `horario` VALUES(439, 3, 20130612, 1030, '1');
INSERT INTO `horario` VALUES(440, 3, 20130612, 1045, '0');
INSERT INTO `horario` VALUES(441, 3, 20130612, 1115, '0');
INSERT INTO `horario` VALUES(442, 3, 20130612, 1130, '1');
INSERT INTO `horario` VALUES(443, 3, 20130612, 1145, '0');
INSERT INTO `horario` VALUES(444, 3, 20130612, 1215, '0');
INSERT INTO `horario` VALUES(445, 3, 20130612, 1230, '1');
INSERT INTO `horario` VALUES(446, 3, 20130612, 1245, '1');
INSERT INTO `horario` VALUES(447, 3, 20130612, 1300, '0');
INSERT INTO `horario` VALUES(448, 3, 20130612, 1315, '0');
INSERT INTO `horario` VALUES(449, 3, 20130612, 1330, '1');
INSERT INTO `horario` VALUES(450, 3, 20130612, 1345, '0');
INSERT INTO `horario` VALUES(451, 3, 20130612, 1400, '0');
INSERT INTO `horario` VALUES(452, 3, 20130612, 1415, '0');
INSERT INTO `horario` VALUES(453, 3, 20130612, 1430, '1');
INSERT INTO `horario` VALUES(454, 3, 20130612, 1445, '0');
INSERT INTO `horario` VALUES(455, 3, 20130612, 1500, '0');
INSERT INTO `horario` VALUES(456, 3, 20130612, 1515, '0');
INSERT INTO `horario` VALUES(457, 3, 20130612, 1530, '1');
INSERT INTO `horario` VALUES(458, 3, 20130612, 1545, '0');
INSERT INTO `horario` VALUES(459, 3, 20130612, 1600, '0');
INSERT INTO `horario` VALUES(460, 3, 20130612, 1615, '0');



INSERT INTO `horario` VALUES(461, 4, 20130612, 815, '1');
INSERT INTO `horario` VALUES(462, 4, 20130612, 830, '1');
INSERT INTO `horario` VALUES(463, 4, 20130612, 845, '1');
INSERT INTO `horario` VALUES(464, 4, 20130612, 900, '1');
INSERT INTO `horario` VALUES(465, 4, 20130612, 915, '1');
INSERT INTO `horario` VALUES(466, 4, 20130612, 930, '1');
INSERT INTO `horario` VALUES(467, 4, 20130612, 945, '1');
INSERT INTO `horario` VALUES(468, 4, 20130612, 1015, '1');
INSERT INTO `horario` VALUES(469, 4, 20130612, 1030, '1');
INSERT INTO `horario` VALUES(470, 4, 20130612, 1045, '0');
INSERT INTO `horario` VALUES(471, 4, 20130612, 1115, '0');
INSERT INTO `horario` VALUES(472, 4, 20130612, 1130, '1');
INSERT INTO `horario` VALUES(473, 4, 20130612, 1145, '0');
INSERT INTO `horario` VALUES(474, 4, 20130612, 1215, '0');


INSERT INTO `horario` VALUES(475, 5, 20130612, 815, '1');
INSERT INTO `horario` VALUES(476, 5, 20130612, 830, '1');
INSERT INTO `horario` VALUES(477, 5, 20130612, 845, '0');
INSERT INTO `horario` VALUES(478, 5, 20130612, 900, '1');
INSERT INTO `horario` VALUES(479, 5, 20130612, 915, '1');
INSERT INTO `horario` VALUES(480, 5, 20130612, 930, '0');
INSERT INTO `horario` VALUES(481, 5, 20130612, 945, '1');


INSERT INTO `horario` VALUES(482, 6, 20130612, 815, '1');
INSERT INTO `horario` VALUES(483, 6, 20130612, 830, '0');
INSERT INTO `horario` VALUES(484, 6, 20130612, 845, '1');
INSERT INTO `horario` VALUES(485, 6, 20130612, 900, '0');
INSERT INTO `horario` VALUES(486, 6, 20130612, 915, '1');
INSERT INTO `horario` VALUES(487, 6, 20130612, 930, '0');
INSERT INTO `horario` VALUES(488, 6, 20130612, 945, '1');

INSERT INTO `horario` VALUES(489, 7, 20130612, 815, '1');
INSERT INTO `horario` VALUES(490, 7, 20130612, 830, '0');
INSERT INTO `horario` VALUES(491, 7, 20130612, 845, '1');
INSERT INTO `horario` VALUES(492, 7, 20130612, 900, '0');
INSERT INTO `horario` VALUES(493, 7, 20130612, 915, '1');
INSERT INTO `horario` VALUES(494, 7, 20130612, 930, '1');
INSERT INTO `horario` VALUES(495, 7, 20130612, 945, '1');


INSERT INTO `horario` VALUES(496, 8, 20130612, 815, '1');
INSERT INTO `horario` VALUES(497, 8, 20130612, 830, '0');
INSERT INTO `horario` VALUES(498, 8, 20130612, 845, '1');
INSERT INTO `horario` VALUES(499, 8, 20130612, 900, '0');
INSERT INTO `horario` VALUES(500, 8, 20130612, 915, '1');
INSERT INTO `horario` VALUES(501, 8, 20130612, 930, '0');
INSERT INTO `horario` VALUES(502, 8, 20130612, 945, '1');

INSERT INTO `horario` VALUES(503, 9, 20130612, 815, '0');
INSERT INTO `horario` VALUES(504, 9, 20130612, 830, '1');
INSERT INTO `horario` VALUES(505, 9, 20130612, 845, '0');
INSERT INTO `horario` VALUES(506, 9, 20130612, 900, '1');
INSERT INTO `horario` VALUES(507, 9, 20130612, 915, '0');
INSERT INTO `horario` VALUES(508, 9, 20130612, 930, '0');
INSERT INTO `horario` VALUES(509, 9, 20130612, 945, '0');

INSERT INTO `horario` VALUES(510, 10, 20130612, 815, '1');
INSERT INTO `horario` VALUES(511, 10, 20130612, 830, '0');
INSERT INTO `horario` VALUES(512, 10, 20130612, 845, '1');
INSERT INTO `horario` VALUES(513, 10, 20130612, 900, '0');
INSERT INTO `horario` VALUES(514, 10, 20130612, 915, '1');
INSERT INTO `horario` VALUES(515, 10, 20130612, 930, '0');
INSERT INTO `horario` VALUES(516, 10, 20130612, 945, '1');



INSERT INTO `horario` VALUES(567, 1, 20130613, 815, '1');
INSERT INTO `horario` VALUES(568, 1, 20130613, 830, '1');
INSERT INTO `horario` VALUES(569, 1, 20130613, 845, '1');
INSERT INTO `horario` VALUES(570, 1, 20130613, 900, '1');
INSERT INTO `horario` VALUES(571, 1, 20130613, 915, '1');
INSERT INTO `horario` VALUES(572, 1, 20130613, 930, '1');
INSERT INTO `horario` VALUES(573, 1, 20130613, 945, '1');
INSERT INTO `horario` VALUES(578, 1, 20130613, 1015, '1');
INSERT INTO `horario` VALUES(579, 1, 20130613, 1030, '1');
INSERT INTO `horario` VALUES(580, 1, 20130613, 1045, '0');
INSERT INTO `horario` VALUES(581, 1, 20130613, 1115, '0');
INSERT INTO `horario` VALUES(582, 1, 20130613, 1130, '1');
INSERT INTO `horario` VALUES(583, 1, 20130613, 1145, '0');
INSERT INTO `horario` VALUES(584, 1, 20130613, 1215, '0');
INSERT INTO `horario` VALUES(585, 1, 20130613, 1230, '1');
INSERT INTO `horario` VALUES(586, 1, 20130613, 1245, '1');
INSERT INTO `horario` VALUES(587, 1, 20130613, 1300, '0');
INSERT INTO `horario` VALUES(588, 1, 20130613, 1315, '0');
INSERT INTO `horario` VALUES(589, 1, 20130613, 1330, '1');
INSERT INTO `horario` VALUES(590, 1, 20130613, 1345, '0');
INSERT INTO `horario` VALUES(591, 1, 20130613, 1400, '0');
INSERT INTO `horario` VALUES(592, 1, 20130613, 1415, '0');
INSERT INTO `horario` VALUES(593, 1, 20130613, 1430, '1');
INSERT INTO `horario` VALUES(594, 1, 20130613, 1445, '0');
INSERT INTO `horario` VALUES(595, 1, 20130613, 1500, '0');
INSERT INTO `horario` VALUES(596, 1, 20130613, 1515, '0');
INSERT INTO `horario` VALUES(597, 1, 20130613, 1530, '1');
INSERT INTO `horario` VALUES(598, 1, 20130613, 1545, '0');
INSERT INTO `horario` VALUES(599, 1, 20130613, 1600, '0');
INSERT INTO `horario` VALUES(600, 1, 20130613, 1615, '0');

INSERT INTO `horario` VALUES(601, 2, 20130613, 815, '1');
INSERT INTO `horario` VALUES(602, 2, 20130613, 830, '1');
INSERT INTO `horario` VALUES(603, 2, 20130613, 845, '1');
INSERT INTO `horario` VALUES(604, 2, 20130613, 900, '1');
INSERT INTO `horario` VALUES(605, 2, 20130613, 915, '1');
INSERT INTO `horario` VALUES(606, 2, 20130613, 930, '1');
INSERT INTO `horario` VALUES(607, 2, 20130613, 945, '1');
INSERT INTO `horario` VALUES(608, 2, 20130613, 1015, '1');
INSERT INTO `horario` VALUES(609, 2, 20130613, 1030, '1');
INSERT INTO `horario` VALUES(610, 2, 20130613, 1045, '0');
INSERT INTO `horario` VALUES(611, 2, 20130613, 1115, '0');
INSERT INTO `horario` VALUES(612, 2, 20130613, 1130, '1');
INSERT INTO `horario` VALUES(613, 2, 20130613, 1145, '0');
INSERT INTO `horario` VALUES(614, 2, 20130613, 1215, '0');
INSERT INTO `horario` VALUES(615, 2, 20130613, 1230, '1');
INSERT INTO `horario` VALUES(616, 2, 20130613, 1245, '1');
INSERT INTO `horario` VALUES(617, 2, 20130613, 1300, '0');
INSERT INTO `horario` VALUES(618, 2, 20130613, 1315, '0');
INSERT INTO `horario` VALUES(619, 2, 20130613, 1330, '1');
INSERT INTO `horario` VALUES(620, 2, 20130613, 1345, '0');
INSERT INTO `horario` VALUES(621, 2, 20130613, 1400, '0');
INSERT INTO `horario` VALUES(622, 2, 20130613, 1415, '0');
INSERT INTO `horario` VALUES(623, 2, 20130613, 1430, '1');
INSERT INTO `horario` VALUES(624, 2, 20130613, 1445, '0');
INSERT INTO `horario` VALUES(625, 2, 20130613, 1500, '0');
INSERT INTO `horario` VALUES(626, 2, 20130613, 1515, '0');
INSERT INTO `horario` VALUES(627, 2, 20130613, 1530, '1');
INSERT INTO `horario` VALUES(628, 2, 20130613, 1545, '0');
INSERT INTO `horario` VALUES(629, 2, 20130613, 1600, '0');
INSERT INTO `horario` VALUES(630, 2, 20130613, 1615, '0');



INSERT INTO `horario` VALUES(631, 3, 20130613, 815, '1');
INSERT INTO `horario` VALUES(632, 3, 20130613, 830, '1');
INSERT INTO `horario` VALUES(633, 3, 20130613, 845, '1');
INSERT INTO `horario` VALUES(634, 3, 20130613, 900, '1');
INSERT INTO `horario` VALUES(635, 3, 20130613, 915, '1');
INSERT INTO `horario` VALUES(636, 3, 20130613, 930, '1');
INSERT INTO `horario` VALUES(637, 3, 20130613, 945, '1');
INSERT INTO `horario` VALUES(638, 3, 20130613, 1015, '1');
INSERT INTO `horario` VALUES(639, 3, 20130613, 1030, '1');
INSERT INTO `horario` VALUES(640, 3, 20130613, 1045, '0');
INSERT INTO `horario` VALUES(641, 3, 20130613, 1115, '0');
INSERT INTO `horario` VALUES(642, 3, 20130613, 1130, '1');
INSERT INTO `horario` VALUES(643, 3, 20130613, 1145, '0');
INSERT INTO `horario` VALUES(644, 3, 20130613, 1215, '0');
INSERT INTO `horario` VALUES(645, 3, 20130613, 1230, '1');
INSERT INTO `horario` VALUES(646, 3, 20130613, 1245, '1');
INSERT INTO `horario` VALUES(647, 3, 20130613, 1300, '0');
INSERT INTO `horario` VALUES(648, 3, 20130613, 1315, '0');
INSERT INTO `horario` VALUES(649, 3, 20130613, 1330, '1');
INSERT INTO `horario` VALUES(650, 3, 20130613, 1345, '0');
INSERT INTO `horario` VALUES(651, 3, 20130613, 1400, '0');
INSERT INTO `horario` VALUES(652, 3, 20130613, 1415, '0');
INSERT INTO `horario` VALUES(653, 3, 20130613, 1430, '1');
INSERT INTO `horario` VALUES(654, 3, 20130613, 1445, '0');
INSERT INTO `horario` VALUES(655, 3, 20130613, 1500, '0');
INSERT INTO `horario` VALUES(656, 3, 20130613, 1515, '0');
INSERT INTO `horario` VALUES(657, 3, 20130613, 1530, '1');
INSERT INTO `horario` VALUES(658, 3, 20130613, 1545, '0');
INSERT INTO `horario` VALUES(659, 3, 20130613, 1600, '0');
INSERT INTO `horario` VALUES(660, 3, 20130613, 1615, '0');

INSERT INTO `horario` VALUES(661, 4, 20130613, 815, '1');
INSERT INTO `horario` VALUES(662, 4, 20130613, 830, '1');
INSERT INTO `horario` VALUES(663, 4, 20130613, 845, '1');
INSERT INTO `horario` VALUES(664, 4, 20130613, 900, '1');
INSERT INTO `horario` VALUES(665, 4, 20130613, 915, '1');
INSERT INTO `horario` VALUES(666, 4, 20130613, 930, '1');
INSERT INTO `horario` VALUES(667, 4, 20130613, 945, '1');
INSERT INTO `horario` VALUES(668, 4, 20130613, 1015, '1');
INSERT INTO `horario` VALUES(669, 4, 20130613, 1030, '1');
INSERT INTO `horario` VALUES(670, 4, 20130613, 1045, '0');
INSERT INTO `horario` VALUES(671, 4, 20130613, 1115, '0');
INSERT INTO `horario` VALUES(672, 4, 20130613, 1130, '1');
INSERT INTO `horario` VALUES(673, 4, 20130613, 1145, '0');
INSERT INTO `horario` VALUES(674, 4, 20130613, 1215, '0');

INSERT INTO `horario` VALUES(675, 5, 20130613, 815, '1');
INSERT INTO `horario` VALUES(676, 5, 20130613, 830, '1');
INSERT INTO `horario` VALUES(677, 5, 20130613, 845, '0');
INSERT INTO `horario` VALUES(678, 5, 20130613, 900, '1');
INSERT INTO `horario` VALUES(679, 5, 20130613, 915, '1');
INSERT INTO `horario` VALUES(680, 5, 20130613, 930, '0');
INSERT INTO `horario` VALUES(681, 5, 20130613, 945, '1');

INSERT INTO `horario` VALUES(682, 6, 20130613, 815, '1');
INSERT INTO `horario` VALUES(683, 6, 20130613, 830, '0');
INSERT INTO `horario` VALUES(684, 6, 20130613, 845, '1');
INSERT INTO `horario` VALUES(685, 6, 20130613, 900, '0');
INSERT INTO `horario` VALUES(686, 6, 20130613, 915, '1');
INSERT INTO `horario` VALUES(687, 6, 20130613, 930, '0');
INSERT INTO `horario` VALUES(688, 6, 20130613, 945, '1');

INSERT INTO `horario` VALUES(689, 7, 20130613, 815, '1');
INSERT INTO `horario` VALUES(690, 7, 20130613, 830, '0');
INSERT INTO `horario` VALUES(691, 7, 20130613, 845, '1');
INSERT INTO `horario` VALUES(692, 7, 20130613, 900, '0');
INSERT INTO `horario` VALUES(693, 7, 20130613, 915, '1');
INSERT INTO `horario` VALUES(694, 7, 20130613, 930, '1');
INSERT INTO `horario` VALUES(695, 7, 20130613, 945, '1');


INSERT INTO `horario` VALUES(696, 8, 20130613, 815, '1');
INSERT INTO `horario` VALUES(697, 8, 20130613, 830, '0');
INSERT INTO `horario` VALUES(698, 8, 20130613, 845, '1');
INSERT INTO `horario` VALUES(699, 8, 20130613, 900, '0');
INSERT INTO `horario` VALUES(700, 8, 20130613, 915, '1');
INSERT INTO `horario` VALUES(701, 8, 20130613, 930, '0');
INSERT INTO `horario` VALUES(702, 8, 20130613, 945, '1');

INSERT INTO `horario` VALUES(703, 9, 20130613, 815, '0');
INSERT INTO `horario` VALUES(704, 9, 20130613, 830, '1');
INSERT INTO `horario` VALUES(705, 9, 20130613, 845, '0');
INSERT INTO `horario` VALUES(706, 9, 20130613, 900, '1');
INSERT INTO `horario` VALUES(707, 9, 20130613, 915, '0');
INSERT INTO `horario` VALUES(708, 9, 20130613, 930, '0');
INSERT INTO `horario` VALUES(709, 9, 20130613, 945, '0');

INSERT INTO `horario` VALUES(710, 10, 20130613, 815, '1');
INSERT INTO `horario` VALUES(711, 10, 20130613, 830, '0');
INSERT INTO `horario` VALUES(712, 10, 20130613, 845, '1');
INSERT INTO `horario` VALUES(713, 10, 20130613, 900, '0');
INSERT INTO `horario` VALUES(714, 10, 20130613, 915, '1');
INSERT INTO `horario` VALUES(715, 10, 20130613, 930, '0');
INSERT INTO `horario` VALUES(716, 10, 20130613, 945, '1');







-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `medicos`
--

CREATE TABLE `medicos` (
  `id_centro_medico` decimal(10,0) DEFAULT NULL,
  `id` int(11) NOT NULL,
  `nombre` text COLLATE utf8_spanish_ci,
  `id_especialidad` decimal(10,0) DEFAULT NULL,
  `numerocarnet` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci;

--
-- Volcar la base de datos para la tabla `medicos`
--

INSERT INTO `medicos` VALUES(4, 1, 'J. A. Sanchez', 4, '1522-4253-4255');
INSERT INTO `medicos` VALUES(4, 2, 'J. G. Segador', 3, '1234-2523-4544');
INSERT INTO `medicos` VALUES(3, 3, 'Eufemiano P. G.', 3, '4523-4562-3506');
INSERT INTO `medicos` VALUES(3, 4, 'Jesus R. R.', 4, '6785-6785-5434');
INSERT INTO `medicos` VALUES(4, 5, 'David S. S.', 2, '2341-3242-0987');

INSERT INTO `medicos` VALUES(6, 6, 'J. J. Sol', 4, '7522-4253-4255');
INSERT INTO `medicos` VALUES(7, 7, 'J. C. Perez', 3, '2234-2523-4544');
INSERT INTO `medicos` VALUES(9, 8, 'Luz P. G.', 3, '3523-4562-3506');
INSERT INTO `medicos` VALUES(9, 9, 'Pedro R. R.', 4, '5785-6785-5434');
INSERT INTO `medicos` VALUES(10, 10, 'Ruben S. S.', 2, '6341-3242-0987');
-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `servicio_medico`
--

CREATE TABLE `servicio_medico` (
  `razon_social` text COLLATE utf8_spanish_ci,
  `CIF` text COLLATE utf8_spanish_ci,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=4 ;

--
-- Volcar la base de datos para la tabla `servicio_medico`
--

INSERT INTO `servicio_medico` VALUES('semiprivada', '12345', 1, 'ADESLAS');
INSERT INTO `servicio_medico` VALUES('privada', '56789', 2, 'ASISA');
INSERT INTO `servicio_medico` VALUES('publica', '46546', 3, 'SEG SOCIAL');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `correoelectronico` text COLLATE utf8_spanish_ci,
  `id_servicio_medico` decimal(10,0) DEFAULT NULL,
  `numero_tarjeta` text COLLATE utf8_spanish_ci,
  `localidad` text COLLATE utf8_spanish_ci,
  `direccion` text COLLATE utf8_spanish_ci,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` text COLLATE utf8_spanish_ci,
  `contrasena` text COLLATE utf8_spanish_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=11 ;

--
-- Volcar la base de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` VALUES('juan@hotmail.com', 1, '123456789', 'leganes', 'c/roma, 1, 6', 1, 'Juan Palomo', '234');
INSERT INTO `usuarios` VALUES('ivan@gmail.com', 2, '898712345', 'mostoles', 'c/venus, 4, 4', 2, 'Ivan Lopez', '876');
INSERT INTO `usuarios` VALUES('Juanmanuel@gmail.com', 3, '76890897123', 'Serranillos del valle', 'c/ ventura, 5, 3', 4, 'Juan Manuel Siempre', '234');
INSERT INTO `usuarios` VALUES('yo', 2, '8938737464', 'yo', 'yo', 6, 'yo', '234');
INSERT INTO `usuarios` VALUES('ignacio', 2, '038974928374', 'ljljk', '098098', 8, 'ignacio', '234');
INSERT INTO `usuarios` VALUES('pedro.lopez@gmail.com', 1, '789876', 'alsjdfalfj', 'aldkfjaldfkj', 9, 'pedro lopezq', '898');
INSERT INTO `usuarios` VALUES('jesus.lopez@gmail.com', 2, '1234567', 'mostoles', 'c/ salamanca', 10, 'jesus lopez', '234');
